TikTok Shop

TikTok's diagnosis of one Shop Performance Score metric

GET/api/public/v1/tik_tok_shop/shop_health/metrics/{metricCode}
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopHealthMetric

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health/metrics/<metricCode>" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
metricCodepathstringrequired
localequerystring
trend_duration_daysqueryinteger
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
analysesarray of object
analyses[].[].detailsarray of string
analyses[].[].summariesarray of string
benchmarksobject, nullable
benchmarks.excellentThresholdstring, nullable
benchmarks.poorThresholdstring, nullable
calculationobject, nullable
calculation.denominatorLabelstring, nullable
calculation.denominatorValuestring, nullable
calculation.numeratorLabelstring, nullable
calculation.numeratorValuestring, nullable
dimensionstring, nullable
distributionarray of object
distribution[].[].countinteger, nullable
distribution[].[].namestring, nullable
distribution[].[].percentstring, nullable
evaluateDurationDaysinteger, nullable
evaluationEndsAtstring (date-time), nullable
evaluationStartsAtstring (date-time), nullable
metricCodestring, nullable
scorestring, nullable
statusstring, nullable
statusTextstring, nullable
trendarray of object
trend[].[].datestring, nullable
trend[].[].valuestring, nullable
valuestring, nullable
valueUnitstring, nullable

Example

{
  "analyses": [
    {
      "details": [
        "string"
      ],
      "summaries": [
        "string"
      ]
    }
  ],
  "benchmarks": {
    "excellentThreshold": "string",
    "poorThreshold": "string"
  },
  "calculation": {
    "denominatorLabel": "string",
    "denominatorValue": "string",
    "numeratorLabel": "string",
    "numeratorValue": "string"
  },
  "dimension": "string",
  "distribution": [
    {
      "count": 3,
      "name": "Example name",
      "percent": "string"
    }
  ],
  "evaluateDurationDays": 3,
  "evaluationEndsAt": "2026-11-01T15:04:05Z",
  "evaluationStartsAt": "2026-11-01T15:04:05Z",
  "metricCode": "MAYA15",
  "score": "string",
  "status": "string",
  "statusText": "string",
  "trend": [
    {
      "date": "2026-11-01",
      "value": "string"
    }
  ],
  "value": "string",
  "valueUnit": "string"
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.